#!/bin/sh

# change directory to the desired one
cd $1

# create resized dir
# warning! if exists, the pictures will be overwritten!
mkdir resized

# look up files with extensions
for fname in *.*; do

  # this is the resize and slightly sharpen part
  #echo "resizing $fname"
  mogrify -sharpen 1 -quality 80% -write "$fname" -resize 1200x "$fname"

  # this is the watermarking part
  echo "watermarking $fname"
  composite -compose atop -gravity SouthEast "/home/revenger/img/watermark.png" "$fname" "$fname"

done